# =============================================================================== #
# xxx <>>> ES/PYTHON IMPORTS xxxxxxxxxx #
import es, gamethread
import psyco
psyco.full()
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# xxxxxxxxxx # SAM IMPORTS # xxxxxxxxxx #
func    = es.import_addon('sam/functions')
monitor = es.import_addon('sam/core/monitor')
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# x # VARIABLES/DICTIONARIES/LISTS # xx #
temp = {'msg':False}
# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #

# =============================================================================== #
# === <<<> LOAD <>>> ============================================================ #
# =============================================================================== #
def load():

	# CMD
	func.ServerCMD('sam_bombstatus_msgtype', typeCMD)

	# CFG
	lib = {'sam_bombstatus_msgtype':{'value':0,'description':'If 0 timer message will be displayed as hudhint, if 1 as center message.'}}
	monitor.cfg('bombtracker', lib)

# =============================================================================== #
# === <<<> UNLOAD <>>> ========================================================== #
# =============================================================================== #
def unload():

	# CMD
	func.unServerCMD('sam_bombstatus_msgtype')

	# CANCEL DELAY
	gamethread.cancelDelayed('sam_bomb_timer')

# =============================================================================== #
# === <<<> FUNCTIONS <>>> ======================================================= #
# =============================================================================== #
def loop(SEC):
	if not temp['msg']: func.hudhint('#all', '## BOMB PLANTED ##\nExplosion in %s second/s!' % SEC)
	else: func.centermsg('#all', '## BOMB PLANTED: Explosion in %s seconds ##' % SEC)
	if SEC != 0: gamethread.delayedname( 1, 'sam_bomb_timer', loop, (SEC - 1))

# =============================================================================== #
# === <<<> EVENTS <>>> ========================================================== #
# =============================================================================== #
def bomb_planted(EV): loop(int(es.ServerVar('mp_c4timer')))

# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #
def bomb_defused(EV): func.centermsg('#all', '## BOMB DEFUSED ##')

# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #
def bomb_exploded(EV): func.centermsg('#all', '## BOMB EXPLODED ##')

# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #
def round_end(ev): gamethread.cancelDelayed('sam_bomb_timer')

# xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx #
def round_start(ev): gamethread.cancelDelayed('sam_bomb_timer')

# =============================================================================== #
# === <<<> CMD BLOCKS <>>> ====================================================== #
# =============================================================================== #
def typeCMD(args):
	if args:
		try:
			args = int(' '.join(args))
			if args in (1,0): temp['msg'] = bool(args)
		except: pass

# =============================================================================== #